Subject: Re: linux-next: build failure after merge of the backlight tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 6 Mar 2024 14:04:27 +1100

Hi Lee,

On Wed, 6 Mar 2024 09:55:39 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> On Tue, 5 Mar 2024 09:17:37 +0000 Lee Jones <[email-masked]> wrote:
> > On Tue, 05 Mar 2024, Stephen Rothwell wrote:  
> > > On Mon, 26 Feb 2024 13:28:28 +1100 Stephen Rothwell <[email-masked]> wrote:    
> > > >
> > > > After merging the backlight tree, today's linux-next build (x86_64
> > > > allmodconfig) failed like this:
> > > > 
> > > > drivers/video/backlight/ktd2801-backlight.c:8:10: fatal error: linux/leds-expresswire.h: No such file or directory
> > > >     8 | #include <linux/leds-expresswire.h>
> > > >       |          ^~~~~~~~~~~~~~~~~~~~~~~~~~
> > > > 
> > > > Caused by commit
> > > > 
> > > >   48749e2f14e3 ("backlight: Add Kinetic KTD2801 backlight support")
> > > > 
> > > > I have used the backlight tree from next-20240223 for today.    
> > > 
> > > I am still getting this failure.    
> > 
> > I just pushed a bunch of patches.  
> 
> I saw only 3 new ones (forgot to push?) none of which addressed this
> problem.
> 
> > Please let me know if this is still an issue tomorrow.  
> 
> The problem is that after Feb 23, you rebased your tree and dropped commit
> 
>   25ae5f5f4168 ("leds: Introduce ExpressWire library")
> 
> which (added the leds-expresswire.h header), but kept commit
> 
>   48749e2f14e3 ("backlight: Add Kinetic KTD2801 backlight support")
> 
> which uses it.

Now I see what happened.  I have 2 trees from you, the backlight tree
(git://git.kernel.org/pub/scm/linux/kernel/git/lee/backlight.git#for-backlight-next)
and the leds-lj tree
(git://git.kernel.org/pub/scm/linux/kernel/git/lee/leds.git#for-leds-next)
and the former implicitly depends on the latter (and I merge the
backlight tree first).  You should make that dependency explicit by
merging (part of) the latter into the former (or something).

-- 
Cheers,
Stephen Rothwell